<p>Pretpostavimo da želimo nad točkom (x,y) najprije obaviti transformaciju 1 pa na rezultat primijeniti transformaciju 2. Radit ćemo u homogenom prostoru. Možemo pisati:
\[
 \vec x = \left[ \begin{array}{ccc} x &amp; y &amp; 1 \end{array}\right] \\
 \vec x' = \vec x \cdot \mathbf{M_1}\\
 \vec x'' = \vec x' \cdot \mathbf{M_2} = (\vec x \cdot \mathbf{M_1}) \cdot \mathbf{M_2} = \vec x \cdot (\mathbf{M_1} \cdot \mathbf{M_2}) = \vec x \cdot \mathbf{M_{12}}\\
\]
Iz ovog jednostavnog razmatranja slijedi da, želimo li na točku primijeniti niz transformacija, možemo izračunati konačnu transformacijsku matricu koja je umnožak matrica pojedinih transformacija - i taj umnožak moramo računati upravo redoslijedom kojim smo namjeravali obavljati transformacije. Naime, općenito, matrično množenje nije komutativno pa je redoslijed bitan.
</p>

<p>
U nekim specijalnim slučajevima, redoslijed neće biti bitan: ako neku točku najprije zarotiramo oko ishodišta pa je uniformno skaliramo, dobit ćemo jednak rezultat kao da smo je najprije uniformno skalirali pa potom zarotirali. I doista, umnožak matrice uniformnog skaliranja i rotacije jest komutativan. Međutim, već za neuniformno skaliranje zaključak više ne vrijedi: neuniformno skaliranje i rotacija međusobno ne komutiraju.
</p>

<p>Sličan zaključak vrijedi i za kombinaciju skaliranja i translacije: ove dvije transformacije ne komutiraju i konačni rezultat ovisit će o redoslijedu kojim radimo transformacije. Primjer za ovo prikazan je u nastavku. Objekt je slovo F visine 5 i širine 3 koji je početno smješten u ishodište (njegov donji lijevi kut).</p>

<!-- Demonstracije fiksiranog objekta na koji se primjenjuje različit način obavljanja operacija translacije i skaliranja -->
@#page-include#(shaders.html)
@#page-include#(house-sim-hr.html)
<!-- Demonstracije fiksiranog objekta na koji se primjenjuje različit način obavljanja operacija translacije i skaliranja -->

<p>Razlog zašto smo dobili različite rezultate jest činjenica da ako najprije objekt translatiramo a potom primijenimo skaliranje, skaliranje će skalirati i prethodno napravljeni iznos translacije pa objekt neće završiti na istom mjestu.</p>

<p>Razmotrimo sada još jedan zadatak. Slovo F prikazano na interaktivnoj demonstraciji u nastavku smješteno je u koordinatni sustav tako da mu je donji lijevi ugao u točki (3,2). Želimo razviti transformaciju koja će to slovo rotirati za kut \(\alpha\) upravo oko tog lijevog ugla. Kako pristupiti tom zadatku?</p>

<p>Pomnožimo li naprosto točke slova rotacijskom matricom, rezultat neće biti ono što smo tražili; naime, rotacijska matrica koju smo razvili rotira točke oko ishodišta koordinatnog sustava. Dokaz je prikazan u demonstraciji u nastavku: kliznikom možete pomicati željeni kut rotacije.</p>

<!-- Demonstracija rotacije oko ishodišta -->
@#page-include#(rotation-around-origin-hr.html)
<!-- Demonstracija rotacije oko ishodišta -->

<p>Da bismo postigli željeni rezultat, ono što moramo napraviti je sljedeće: slovo najprije moramo translatirati tako da se donji lijevi ugao slova poklopi s ishodištem (jer je taj ugao željena fiksna točka oko koje ćemo rotirati), potom tako pomaknuto slovo trebamo zarotirati i konačno rezultantno slovo moramo translatirati natrag na početni položaj. Transformacije su stoga:</p>

<ol>
<li>Translacija za (-3, -2): \(\mathbf{M_1}\).</li>
<li>Rotacija za kut \(\alpha\): \(\mathbf{M_2}\).</li>
<li>Inverz translacije za (-3, -2): \(\mathbf{M_1^{-1}}\).</li>
</ol>

<p>Konačna transformacijska matrica tada će biti:
\[
 \mathbf{M} = \mathbf{M_1} \cdot \mathbf{M_2} \cdot \mathbf{M_1^{-1}}
\]
pri čemu inverz translacije nećemo morati računati postupkom invertiranja matrice jer ga znamo izravno napisati.</p>

<p>Interaktivna demonstracija u nastavku ilustrira djelovanje ovako definirane transformacije.</p>
<!-- Demonstracija rotacije oko točke (3, 2) -->
@#page-include#(rotation-around-point-hr.html)
<!-- Demonstracija rotacije oko točke (3, 2) -->

<p>Podesite da su kutevi rotacije 90°, 180° te 270° i pogledajte dobivenu matricu: možete li objasniti konkretne vrijednosti te matrice za te specifične slučajeve? Što tako dobivena matrica zapravo radi? Možete li je razložiti (za svaki od navedena tri slučaja zasebno) u kompoziciju jednostavnijih transformacija?</p>

